<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div class="modal-header">
	<h1 class="h4 modal-title">{{ 'listselection.title' | translate }}</h1>
	<button
			(click)="activeModal.dismiss()"
			[attr.aria-label]="'common.close' | translate"
			class="btn-close"
			type="button"
	></button>
</div>

<div class="modal-body">
	<form (submit)="searchTerm.setValue(searchTermInput.value)" aria-controls="resultCount" class="mb-3" spellcheck="false">
		<h2 class="no-styling">
			<label class="form-label" for="list-search--term">
				{{ 'listselection.namefilter.label' | translate }}
			</label>
		</h2>

		<div class="input-group">
			<vp-clearable-input buttonLabel="listselection.namefilter.clear">
				<input
					#searchTermInput="ngModel"
					[ngModelOptions]="{ standalone: true }"
					class="form-control"
					id="list-search--term"
					ngModel
					type="text"
				>
			</vp-clearable-input>
			<button class="btn btn-outline-dark" id="list-search--submit" type="submit">
				<vp-icon name="search"></vp-icon>
				<span class="d-none d-sm-inline">{{ 'listselection.namefilter.search' | translate }}</span>
				<span class="d-sm-none visually-hidden">{{ 'listselection.namefilter.search' | translate }}</span>
			</button>
		</div>
	</form>

	<p aria-live="polite" class="small fst-italic" id="resultCount">
		<!-- no search -->
		<ng-container *ngIf="!searchTerm.value && lists.length === 1">
			{{ 'listselection.searchresults.nosearch.singular' | translate: searchResultsArgs }}
		</ng-container>
		<ng-container *ngIf="!searchTerm.value && lists.length > 1">
			{{ 'listselection.searchresults.nosearch.plural' | translate: searchResultsArgs }}
		</ng-container>

		<!-- search and results -->
		<ng-container *ngIf="searchTerm.value && filteredLists.length === 1">
			{{ 'listselection.searchresults.numberofresults.singular' | translate : searchResultsArgs }}
		</ng-container>
		<ng-container *ngIf="searchTerm.value && filteredLists.length > 1">
			{{ 'listselection.searchresults.numberofresults.plural' | translate : searchResultsArgs }}
		</ng-container>

		<!-- search but no results -->
		<ng-container *ngIf="searchTerm.value && !filteredLists?.length">
			{{ 'listselection.searchresults.noresults' | translate }}
		</ng-container>
	</p>

	<h2 class="visually-hidden">
		{{ (searchTerm.value ? 'listselection.searchresults.title' : 'listselection.searchresults.title.nosearch') | translate }}
	</h2>

	<ul class="list-group list-group-flush">
		<li *ngFor="let list of filteredLists" class="list-group-item">
			<vp-list-selector [list]="list"></vp-list-selector>
		</li>
	</ul>
</div>
